Cards & Wallets · PaySuite payment page

Pay to Customer

Credit a customer's card on our payment page with a payout, without referencing an original transaction. This is typically used to return winnings or make refunds to a card.

Visa and Mastercard have their own terminology: Visa Original Credit (OCT) covers gaming payouts but also money transfers, and Mastercard Payment of Winnings (PoW) is for gaming payouts.

Create a hosted payout session and send your customer to it to collect the card to credit, then retrieve the session status to find out what happened. A payout session will need a saved customer by default, to change that for your account contact us.

Payout

Create a payout session
EndpointDefinition
POST /hosted/rest/sessions/{instId}/payouts
Request body
{
  "session": {
    "returnUrl": {
      "url": "https://www.example.com/return"
    }
  },
  "transaction": {
    "money": {
      "currency": "GBP",
      "amount": {
        "fixed": 25.00
      }
    },
    "merchantReference": "aReference"
  },
  "customer": {
    "identity": {
      "merchantCustomerId": "aCustomerId1"
    }
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/hosted/rest/sessions/{instId}/payouts" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "session": {
    "returnUrl": {
      "url": "https://www.example.com/return"
    }
  },
  "transaction": {
    "money": {
      "currency": "GBP",
      "amount": {
        "fixed": 25.00
      }
    },
    "merchantReference": "aReference"
  },
  "customer": {
    "identity": {
      "merchantCustomerId": "aCustomerId1"
    }
  }
}'
Response
HTTP/1.1 201 Created

{
  "sessionId": "SMjrRukzthtZFOKpd1rQvYF7p",
  "redirectUrl": "https://secure.mite.pay360.com/hosted/SMjrRukzthtZFOKpd1rQvYF7p/begin/SMjrRukzthtZFOKpd1rQvYF7p",
  "status": "SUCCESS"
}

Deferred payout

Send transaction.deferred, and we will create an initial transaction with all of the required details, but will not perform authorisation. Complete or void it later using the transaction id, which you get by retrieving the session status once the session has completed.

Create a deferred payout session
EndpointDefinition
POST /hosted/rest/sessions/{instId}/payouts
Request body
{
  "session": {
    "returnUrl": {
      "url": "https://www.example.com/return"
    }
  },
  "transaction": {
    "deferred": true,
    "money": {
      "currency": "GBP",
      "amount": {
        "fixed": 25.00
      }
    },
    "merchantReference": "aReference"
  },
  "customer": {
    "identity": {
      "merchantCustomerId": "yourCustomerReference"
    }
  },
  "recipient": {
    "givenName": "John",
    "surname": "Smith"
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/hosted/rest/sessions/{instId}/payouts" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "session": {
    "returnUrl": {
      "url": "https://www.example.com/return"
    }
  },
  "transaction": {
    "deferred": true,
    "money": {
      "currency": "GBP",
      "amount": {
        "fixed": 25.00
      }
    },
    "merchantReference": "aReference"
  },
  "customer": {
    "identity": {
      "merchantCustomerId": "yourCustomerReference"
    }
  },
  "recipient": {
    "givenName": "John",
    "surname": "Smith"
  }
}'
Response
HTTP/1.1 201 Created

{
  "sessionId": "SMjrIiqi41ABNGY5cD2KbvN1l",
  "redirectUrl": "https://secure.mite.pay360.com/hosted/SMjrIiqi41ABNGY5cD2KbvN1l/begin/SMjrIiqi41ABNGY5cD2KbvN1l",
  "status": "SUCCESS"
}
Notes:
  • The recipient field is required by some acquirers, can also be used for a regular payout.

Complete

When you are ready to send the funds, call the complete endpoint with that transaction id and an empty body. The PAYOUT_COMPLETE transaction carries the initialise transaction in relatedTransaction.

Complete a deferred payout
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/{transactionId}/complete
Request body
{}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/{transactionId}/complete" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{}'
Response
HTTP/1.1 201 Created

{
  "processing": {
    "model": "MANAGE",
    "authResponse": {
      "acquirerName": "RBS Worldpay",
      "message": "Approved",
      "gatewayReference": "121gbpc2737627a97fd7fFCeee100z00",
      "gatewayCode": "000.000.000",
      "gatewayMessage": "Transaction succeeded",
      "avsAddressCheck": "FULL_MATCH",
      "avsPostcodeCheck": "FULL_MATCH",
      "status": "AUTHORISED"
    },
    "route": "PAYON"
  },
  "paymentMethod": {
    "registered": true,
    "card": {
      "cardToken": "MT_AX-Bky5gQ8GPyhwb265khA",
      "cardFingerprint": "Q1MtMWRjY2MyNzktODZhYy00OGFkLTlhNTktZDcwYTI2MmEzYWRm",
      "new": false,
      "cardUsageType": "DEBIT",
      "cardCategory": "DEBIT",
      "maskedPan": "990200******0018",
      "expiryDate": "1229",
      "issuer": "PAY360 TESTING",
      "issuerCountry": "GBR",
      "cardHolderName": "John Smith"
    },
    "billingAddress": {
      "line1": "1 Some Street",
      "city": "Metropolis",
      "postcode": "AA1 2BB",
      "country": "United Kingdom",
      "countryCode": "GBR"
    },
    "paymentClass": "CARD"
  },
  "customFields": {
    "fieldState": []
  },
  "transaction": {
    "transactionId": "13146401864",
    "status": "SUCCESS",
    "stage": "COMPLETE",
    "type": "PAYOUT_COMPLETE",
    "amount": 100.00,
    "consumerSpend": 100.00,
    "currency": "GBP",
    "transactionTime": "2026-09-02T14:12:49.753+01:00",
    "receivedTime": "2026-09-02T14:12:49.753+01:00",
    "relatedTransaction": {
      "transactionId": "13146401863",
      "merchantRef": "TXN-005"
    }
  },
  "outcome": {
    "status": "SUCCESS",
    "reasonCode": "S100",
    "reasonMessage": "Authorised"
  },
  "trace": "TRmZQI8f_i0kGuTf6ctta4g",
  "link": [
    {
      "href": "https://api.mite.pay360.com/acceptor/rest/transactions/5315271/13146401864",
      "rel": "transaction"
    },
    {
      "href": "https://api.mite.pay360.com/acceptor/rest/transactions/5315271/13146401863",
      "rel": "related-transaction"
    }
  ]
}

Void

To drop the payout instead of sending it, call the cancel endpoint with the same transaction id. The initialised payout is left with a status of VOIDED.

Void a deferred payout
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/{transactionId}/cancel
Request body
{}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/{transactionId}/cancel" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{}'
Response
HTTP/1.1 201 Created

{
  "processing": {
    "model": "MANAGE"
  },
  "customFields": {
    "fieldState": []
  },
  "transaction": {
    "transactionId": "13146401866",
    "status": "VOIDED",
    "stage": "AUTHORISATION",
    "type": "CANCEL",
    "amount": 100.00,
    "consumerSpend": 0,
    "currency": "GBP",
    "transactionTime": "2026-09-02T14:15:26.042+01:00",
    "receivedTime": "2026-09-02T14:15:26.042+01:00",
    "relatedTransaction": {
      "transactionId": "13146401865",
      "merchantRef": "TXN-005"
    }
  },
  "outcome": {
    "status": "SUCCESS",
    "reasonCode": "C107",
    "reasonMessage": "Payout initialize successfully cancelled"
  },
  "trace": "Tnd5IEa5lrdVb2kQyg0N9NA",
  "link": [
    {
      "href": "https://api.mite.pay360.com/acceptor/rest/transactions/5315271/13146401866",
      "rel": "transaction"
    },
    {
      "href": "https://api.mite.pay360.com/acceptor/rest/transactions/5315271/13146401865",
      "rel": "related-transaction"
    }
  ]
}